<html>
	<head>
		<title>adaptor:ex socket.io plugin example</title>
		<meta charset="utf-8">
	</head>

	<body>
        <button onclick="createRoom()">CREATE</button>
        <span id="new-room"></span>
        <br>
        <input id="room" type="text" placeholder="Enter room">
        <button onclick="joinRoom()">JOIN</button>
        <br>
        <button onclick="sendGo()">GO</button>
	</body>
	<script src="https://cdn.socket.io/4.8.1/socket.io.min.js">
    </script>
    <script>
        const socket = io("http://localhost:8081/Tutorial/socketio/my_app")
        
        socket.on("connect", () => {
            console.log("connected")
        })
        socket.on("greetings", message => {
            console.log(message)
        })

        function createRoom() {
            socket.emit("create", "", (response) => {
                console.log(response)
                document.getElementById("new-room").innerText = response.id
            })
        }

        function joinRoom() {
            const room = document.getElementById("room").value
            socket.emit("join", room, (response) => {
                console.log(response)
            })
        }

        function sendGo() {
            socket.emit("button", "go", (response) => {
                console.log(response)
            })
        }
    </script>
</html>